/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "pinocchio", "index.html", [
    [ "Overview", "index.html", [
      [ "What is Pinocchio?", "index.html#OverviewIntro", null ],
      [ "How to install Pinocchio?", "index.html#OverviewInstall", null ],
      [ "Simplest example with compilation command", "index.html#OverviewSimple", [
        [ "Compiling and running your program", "index.html#OverviewSimpleCompile", null ],
        [ "Explanation of the program", "index.html#OverviewSimpleExplain", null ]
      ] ],
      [ "More complex example with C++ and Python", "index.html#OverviewComplex", [
        [ "Compiling and running your program", "index.html#OverviewComplexCompile", null ],
        [ "Explanation of the program", "index.html#OverviewComplexExplain", null ]
      ] ],
      [ "About Python wrappings", "index.html#OverviewPython", null ],
      [ "How to cite Pinocchio", "index.html#OverviewCite", [
        [ "Easy solution: cite our open access paper", "index.html#autotoc_md245", null ],
        [ "Citing the software package", "index.html#autotoc_md246", null ],
        [ "Citing the derivative algorithms", "index.html#autotoc_md247", null ]
      ] ],
      [ "Where to go from here?", "index.html#OverviewConclu", null ]
    ] ],
    [ "Porting from Pinocchio 1.3.3 to 2.0.0", "md_doc__porting.html", [
      [ "What is included", "md_doc__porting.html#PortingIntro", null ],
      [ "Changes in C++", "md_doc__porting.html#PortingC", [
        [ "Header-only", "md_doc__porting.html#PortingCHeaderonly", null ],
        [ "Namespace", "md_doc__porting.html#PortingCNamespace", null ],
        [ "Deprecated macros", "md_doc__porting.html#PortingCMacros", null ],
        [ "Method signatures", "md_doc__porting.html#PortingCSignature", null ]
      ] ],
      [ "Changes in Python", "md_doc__porting.html#PortingPython", [
        [ "Namespace", "md_doc__porting.html#PortingPythonNamespace", null ],
        [ "RobotWrapper", "md_doc__porting.html#PortingPythonRobotWrapper", null ]
      ] ]
    ] ],
    [ "Main features of Pinocchio", "md_doc_a-features_intro.html", "md_doc_a-features_intro" ],
    [ "Examples", "md_doc_b-examples_intro.html", "md_doc_b-examples_intro" ],
    [ "Build reduced model", "md_doc_b-examples_o-reduced-model.html", [
      [ "Python", "md_doc_b-examples_o-reduced-model.html#autotoc_md82", null ],
      [ "C++", "md_doc_b-examples_o-reduced-model.html#autotoc_md83", null ]
    ] ],
    [ "Mathematical formulation", "md_doc_c-maths_intro.html", "md_doc_c-maths_intro" ],
    [ "Practical Exercises", "md_doc_d-practical-exercises_intro.html", "md_doc_d-practical-exercises_intro" ],
    [ "Implementation / Technical details", "md_doc_e-implementation_intro.html", "md_doc_e-implementation_intro" ],
    [ "Benchmarks", "md_doc_f-benchmarks_intro.html", "md_doc_f-benchmarks_intro" ],
    [ "Success Stories", "md_doc_g-success-stories_intro.html", [
      [ "List of projects succesfully using pinocchio", "md_doc_g-success-stories_intro.html#autotoc_md244", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Cheat sheet", "cheatsheet.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classpinocchio_1_1ForceDense.html#a4e1bb3124e532d3638559dcfb13da3d3",
"classpinocchio_1_1ModelPoolTpl.html#ac9dabfcf7e4d468600d99046a349952c",
"classpinocchio_1_1Symmetric3Tpl.html#aca905cca52453477cf053123cfd7a729",
"md_doc__porting.html#PortingCMacros",
"md_doc_g-success-stories_intro.html#autotoc_md244",
"structboost_1_1has__nothrow__copy_3_01_1_1pinocchio_1_1JointDataRevoluteTpl_3_01Scalar_00_01Options_00_01axis_01_4_01_4.html",
"structpinocchio_1_1CodeGenBase.html#ae3c38a4cc1a9f8dd1f6c7c59783c38ca",
"structpinocchio_1_1ConstraintIdentityTpl.html#ae5bd372fe5a35221f473c62f063a1554",
"structpinocchio_1_1DataTpl.html#aa16c00a9b01ae4323d1516ebafc77d41",
"structpinocchio_1_1JointDataCompositeTpl.html#a6bc549bda13aa047b3fdd6291217d7ed",
"structpinocchio_1_1JointModelBase.html#a756a36dda3636782f48c05e6ff523c78",
"structpinocchio_1_1JointModelRevoluteUnalignedTpl.html#aea90a1e82080134917552b51307eadf4",
"structpinocchio_1_1ModelTpl.html#a1f3b6c692395e5007ff47ce5d9304c1cac59641d0b7afd6206e201ea0829e9bf5",
"structpinocchio_1_1MotionTranslationTpl.html#a1ebde5eaf65a2a4329ad03bebbac3a19",
"structpinocchio_1_1ScaledConstraint_1_1TransposeConst.html#ab5e84dc8669e8d886c285271ca99d834",
"structpinocchio_1_1TransformPrismaticTpl.html#aca5a3db8a3da8c3186212811f330fb15",
"structpinocchio_1_1traits_3_01ConstraintPrismaticUnalignedTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#a458e651af6690959efa2afb96be7d609acb307ec23a6480309f953e8034543b7d",
"structpinocchio_1_1traits_3_01JointModelTranslationTpl_3_01Scalar_00_01Options_01_4_01_4.html#a760a1fd520ceccc59d9c82b2ac676fe3",
"structpinocchio_1_1traits_3_01MotionRef_3_01Vector6ArgType_01_4_01_4.html#a0b37d60c9266d36bd4f7e2091f6b540b",
"structpinocchio_1_1urdf_1_1details_1_1UrdfTree.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';